3 Replies Latest reply on Dec 8, 2010 6:35 AM by Maxim Areshkau

    JBoss Tools Richfaces support for RichFaces 4.x?

    rory evans Newbie

      Hi,

       

      I've recently moved my project to use RichFaces 4.0.0.M4. However, I am still using version 3.1.1.v201006011046R-H111-GA of the JBoss Tools RichFaces Eclipse plugin. Currently Eclipse highlights any usage of RichFaces tags in xhtml pages as a warning because it cannot find the associated tag class (for example; <rich:calendar> generates a warning along the lines of  'cannot find org.richfaces.taglib.CalendarTag).

       

      I have been informed that RichFaces 4.x no longer uses tag classes and so I can only assume that the version of the JBoss Tools RichFaces plugin that I'm using does not support RichFaces 4.x. Please can somebody confirm that this is the case and, if so, point me in the direction of a version of the plugin that does support RichFaces 4.x?

       

      Thanks